Summary: Perl DES encryption module.
Name:    perl-Crypt-DES
Version: 2.03
Release: 2.ker.rhel3
License: Distributable
Group:   Development/Libraries
URL:     http://search.cpan.org/dist/Crypt-DES/
Source0: http://search.cpan.org/CPAN/authors/id/D/DP/DPARIS/Crypt-DES-2.03.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl >= 2:5.8.0
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')

%description
The module implements the Crypt::CBC interface.

%prep
%setup -q -n Crypt-DES-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor < /dev/null
make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib
%makeinstall

rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
%doc COPYRIGHT README

%changelog
* Tue Apr 27 2004 Milan Kerslager <kerslage@linux.cz> 2.03-2.ker.rhel3
- new generic SPEC file
- old package wrongly owns /usr/lib/perl5/vendor_perl/5.8.0

* Thu Dec 18 2003 Milan Kerslager <kerslage@linux.cz> 2.03-1_WB3
- rebuild for WhiteBoxLinux.org 3.0

* Mon Feb 17 2003 Dag Wieers <dag@wieers.com> - 2.03-0
- Initial package. (using DAR)
